Bug 446338 - [enh] enable PPPoE over WiFi
[enh] enable PPPoE over WiFi
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: FutureFeature
: 495491 556284 585530 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 03:15 EDT by Alexey Kuznetsov
Modified: 2015-08-18 10:56 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 559134 None None None Never

  None (edit)
Description Alexey Kuznetsov 2008-05-14 03:15:41 EDT
Description of problem:
NetworkManager can use only wired media sources for DLS connections, what is
wrong! I use pppoe connections under windows and mac osx trough my wifi card
without any problem. My current network topology is: adsl modem with ethernet
switch connected to wifi access-point, i have also fedora server connected to
adsl switch for dhcpd&&ddns services. When my laptop open they try to establish
wifi source without getting ip4 address, after that i click on pppoe connection
to get real internet ip4 address.

thx for support!
Comment 1 Dan Williams 2008-08-29 12:47:04 EDT
out of curiousity, can more than one machine connect to PPPoE via your provider through your wifi access point at the _same time_?
Comment 2 Alexey Kuznetsov 2008-08-29 13:06:16 EDT
As i understand pppoe protoclon that is true.

1) My Other notebook ->
2) My NoteBook       -> My Wifi access -> My network -> 4) ADSL Hub -> ISP.
                    3) My stnand Alone -> 


Each of them can have self pppoe connection 1, 2, 3, 4 have external IP address.


I really test only two connection at same time 2) and 4). Because i do not need so match of external ip's set.

other point is i shure about defect in design of networkmanager topology. because i do not see media source as self described node in network manager setting dialogs.

more correct way work for networks you can find in OS X and windows Vista. These booth os have good network manager and you can create infinite amount of customized network in right way.

for example when you connect your note book to some network with dhcpd they putt mac address and network address space to network id, accoicied with custom name. then when you remove you notebook from network, and initiate vpn connection to your office place. vista detect your new virtual network adapter and setup right setting for virtual network and network name. that the right way to make network manager to work.

what network manager must have, here is nodes: 

* media source can be a: ethernet, vpn, wifi, bluetooth, irda, pppoe
* network can be: ip netowrk with dhcpd, ip network without dhcpd
* custom networks: can be combination of two types of nodes (network+media source)

thx for listning
Comment 3 Alexey Kuznetsov 2008-08-29 13:54:24 EDT
One another example.

In that case described above, we can cover all possible connections.

for example:

when i connect my pc to ethernet i got ip from dhcpd server and i got server mac address + network mask. now knowbase layer can be configured by user and i can set dhcpdid client data, for example.

now i have new network source with custom network name "auto eth0" in connection list. as user i can custumize that connection name as "my home network".

after that i come out from home and go to office, then install vpn connection too my home. network manager must got same network id (dhcp server mac address + network/mask) and show same name.

sumarize:

Networkmanager must have main menu with connection names only. That names linked to network source.

Advanced dialog must show media source list (network layers\knowbase layer) separated by type and hardlinked to real devices.

Last true for pppoe because i can link network layers by each other. VPN can be linked to eth0 or wifi. PPPOE can be linked also to VPN or eth0 or WIFI. And only Cursom Network Manager show real network name.

If network do not have dynamic address allocation, then we must create new media source in advanced menu.

thx again! any comments? sssory for bad english.
Comment 4 Alexey Kuznetsov 2008-08-29 14:17:39 EDT
i wana say more:

Same vpn, pppoe connections can produce different network id and have different connection name in different time.


Connections can have favorite star, and only favorites shown in drop down box under taskicon area.

Also i can show full connections list dialog and add/remove some associated name.
Comment 5 Niels Haase 2009-04-08 16:01:09 EDT
Reporter, are you still running Fedora 9, or have you upgraded to Fedora 10 or
Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the kernel and NM packages you're
using. Thank you.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Alexey Kuznetsov 2009-04-09 01:17:14 EDT
Hi. I switched to F10.

As i understand noting changed here.

NM still do not have feature to choice source for DSL connections. It only work as DSL for ethernet, and not DSL for wifi.

That is bug/feature.
Comment 7 Niels Haase 2009-04-13 10:06:58 EDT
Changing title to reflect the enhancement request.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Niels Haase 2009-04-13 10:11:01 EDT
*** Bug 495491 has been marked as a duplicate of this bug. ***
Comment 9 Niels Haase 2009-04-13 10:12:30 EDT
This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Thomas Groß 2009-07-29 04:48:04 EDT
Is someone working on this?

Alice one of the bigger providers here in Germany has this problem.
They are giving their customers a DSL modem with internal wifi hardware and you have to use DSL over wifi to use their internet service.

I have still not found an easy way to configure this in Fedora.
Comment 11 Alexey Torkhov 2009-09-29 07:13:25 EDT
Adding FutureFeature keyword to mark feature request as per
https://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Dan Williams 2010-02-03 18:23:54 EST
*** Bug 556284 has been marked as a duplicate of this bug. ***
Comment 13 Valent Turkovic 2010-03-07 09:23:30 EST
Is there a fix for this issue?
Comment 14 Luo Bin 2010-03-28 13:12:28 EDT
It's a very small change of source to enable PPPoE over wifi,why it's still not been fixed?

This small change will bring a huge improvement and a exciting user-experience to us who want PPPoE over wifi .

I hope it will be coming soon!

Thank you guys working hard for the Networkmanager!
Comment 15 Dan Williams 2010-03-30 15:14:08 EDT
It's not a small change actually, but it'll happen.
Comment 16 Valent Turkovic 2010-05-06 11:16:39 EDT
I also thank you guys for all your hard work. NetworkManager is best thing since sliced bread ;)
Comment 17 James Mike DuPont 2010-06-09 04:56:06 EDT
@Dan Williams what changes need to be made? is the a blueprint for this? I would be willing to do some work, and recruit and train helpers, but need a plan.
flossk.org is very interested in this, for kosovo provider ipko it is needed.
we have a fedora ambassador and are working on two conferences this year
http://en.wikipedia.org/wiki/User:Mdupont/OpenLetterToFreeSoftwareCommunities
thanks,
mike
Comment 18 Valent Turkovic 2010-06-28 08:15:06 EDT
I can just confirm that this is still not implemented in latest NM in F13. It would be a great feature to have.
Comment 19 Dan Williams 2010-06-28 19:24:11 EDT
*** Bug 585530 has been marked as a duplicate of this bug. ***
Comment 20 Simo Sorce 2010-08-11 11:11:35 EDT
I hit the same problem as well, is there any code around yet ?
Comment 21 Dan Williams 2010-08-11 13:16:53 EDT
(In reply to comment #20)
> I hit the same problem as well, is there any code around yet ?    

Not yet, no.
Comment 22 Gabriele Turchi 2010-08-12 11:38:10 EDT
I had to configure by hand the old network package, and rp-pppoe. Changing the ifcfg- file setting "ETH" from "eth0" to "wlan0" the magic happens. 

Better than nothing, but obviously it should be better if NetworkManager can support it...
Comment 23 Stéphane Maniaci 2011-07-25 09:20:52 EDT
Still not happening in Fedora 15.
Comment 24 Valent Turkovic 2011-07-27 15:44:14 EDT
Will it be available in F15 in upcoming updates...
Comment 25 purpleidea 2012-02-02 01:19:27 EST
(In reply to comment #1)
> out of curiousity, can more than one machine connect to PPPoE via your provider
> through your wifi access point at the _same time_?

This is a very interesting question. Here are my thoughts, please feel to correct if you think they're wrong.
Topology:
Telephone line -> DSL Modem -> Access point -> Your laptop (wireless)

DSL modems can act as a bridge and just pull open the ATM cells and give you a layer 2 network to authenticate with, etc... -OR- they can handle the PPPoE for you and then leave you with a regular ethernet network that probably has DHCP from the server, etc...

An AP itself actually has a mini layer 2 switch that hooks it's ethernet port up to "all the 802.11 ports- eg: different laptops". The catch is that wireless traffic generally has a huge collision domain, whereas really switched wired networks don't :) If the switch itself was doing the auth, there's no reason why multiple laptops couldn't simultaneously use the same AP and single DSL modem AFAIK.

Assuming that the AP doesn't somehow scrape out the PPPoE traffic (it probably shouldn't), then you'd be able to use your laptop to auth with PPPoE and be set. The only limitation that I know of for having two different laptops both try to PPPoE auth is that I assume there might be a limitation on the service providers end as to how many simultaneous connected sessions are allowed. I'd bet it works though :) Would probably definitely work with two different accounts.

I actually came here, since I noticed I couldn't do wireless PPPoE over network manager, and decided to comment, because I actually wanted to plug a WAP54g AP, into my crappy DSL modem, and see if network manager could take care of the PPPoE auth wirelessly, the way it does so beautifully over a wired network.

Fix network manager, and I'll happily test all this for you,
HTH,
James
Comment 26 Dan Winship 2012-03-26 13:34:18 EDT
(In reply to comment #17)
> what changes need to be made? is the a blueprint for this?

Currently the daemon assumes that only NMDeviceEthernet can do PPPoE, so the code to handle PPPoE is all in nm-device-ethernet.c. You'd need to make NMDeviceWifi be able to do the same thing, which will involve some amount of code reorganization; possibly moving the PPPoE handling down into NMDevice? Or else moving the complicated bits into another file so that nm-device-wired and nm-device-wifi can just call functions there at the right points.

The ethernet-only assumption is probably also made in various other places in the source tree. (Eg, the settings plugins probably only try to read in PPPoE settings on ethernet connections, etc.)
Comment 27 Fedora Admin XMLRPC Client 2015-08-18 10:56:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.